Skip to navigation

Remove principals from request

View as Markdown

Revokes access to the request for the specified users or groups. When a role is supplied only that role is revoked; when omitted all of the principal’s roles on the request are revoked. Removing access a principal does not hold has no effect.

Authentication

AuthorizationBearer
Docusign OAuth 2.0 access token

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account that owns the request statuses.
requestIdstringRequiredformat: "uuid"

The ID of the request (Agreement Desk ticket) the document belongs to.

Request

This endpoint expects an object.
principalslist of objectsRequired
The principals whose access should be revoked.

Response

The principals' access to the request was revoked.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error